CHPASSWD(8)

NOME
chpasswd - aggiorna le password in modo non interattivo

SINTASSI
chpasswd [opzioni]

DESCRIZIONE
chpasswd legge da standard input un elenco di coppie di nomi utente e password e usa queste informazioni per aggiornare un gruppo di utenti esistenti. Ciascuna riga usa il formato:

     nome_utente:password

Come impostazione predefinita, si devono fornire password in chiaro. L'algoritmo di cifratura predefinito è DES. Se sono presenti, vengono aggiornate anche le informazioni sulla durata delle password.

Questo comando è appositamente pensato per grossi sistemi in cui si abbia la necessità di creare molti account nello stesso momento.

OPZIONI
Il comando chpasswd accetta le seguenti opzioni:

-e, --encrypted
    Le password fornite sono in forma cifrata.

-h, --help
    Mostra un messaggio di aiuto ed esce.

-m, --md5
    Usa la cifratura MD5 anziché DES quando le password fornite non sono cifrate.

AVVISI/CAVEAT
Evitare che il file usato come input per il comando chpasswd sia accessibile in lettura se contiene password non cifrate.

VEDERE ANCHE
passwd(1), newusers(8), useradd(8)

AUTORE
Julianne Frances Haugh (jockgrrl@ix.netcom.com)

TRADUZIONE
Giuseppe Sacco <eppesuig@debian.org>, 2005
Danilo Piazzalunga <danilopiazza@libero.it>, 2005